Subject: Re: bug#65472: texlive split packages are missing isodate.sty, wallpaper.sty, and dashrule.sty
From: Nicolas Goaziou <[email-masked]>
To: "Dr. Arne Babenhauserheide" <[email-masked]>
Cc: [email-masked]
Date: Thu, 24 Aug 2023 11:44:22 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Hello,

"Dr. Arne Babenhauserheide" <[email-masked]> writes:

> after switching to split texlive packages (via texlive-scheme-medium),
> my documents fail to compile.
>
> I cannot find split packages for isodate.sty, wallpaper.sty, and dashrule.sty
>
>
> Minimal reproduction:
>
> --- file: test.tex ---
> \documentclass{memoir}
> \usepackage[iso,german]{isodate}
> \usepackage{wallpaper}
> \usepackage{dashrule}
> \usepackage{everypage}
> \begin{document}
> \end{document}
>
>
> guix shell --pure texlive-scheme-medium test
>
> ! LaTeX Error: File `isodate.sty' not found.
> ! LaTeX Error: File `wallpaper.sty' not found.
> ! LaTeX Error: File `dashrule.sty' not found.

Thank you for switching to modular TeX Live!

At the time of writing, despite my best efforts, it only covers 70% of
the full TeX Live distribution. Or, to put it differently, it still
misses roughly 1300 packages. All these packages are located in the
"latexextra" collection, which is therefore the last one to package.
I need more time to finish this.

Meanwhile, the importer is quite helpful to fill in the blanks. For
example, the output of

  guix shell subversion -- guix import texlive isodate

required adding "license:" prefix to the license, and minimal editing of
the description.

I committed the three packages you mention in this bug report in my last
push, so I'm closing this.

Regards,
-- 
Nicolas Goaziou